---
title: Range.insertNode()
slug: Web/API/Range/insertNode
tags:
  - API
  - DOM
  - Method
  - Range
---
<div>{{ApiRef("DOM")}}</div>

<p>The <code><strong>Range.insertNode()</strong></code> method inserts a node at the start of the {{domxref("Range")}}.</p>

<p>The new node is inserted at the start boundary point of the <code>Range</code>. If the new node is to be added to a text {{domxref("Node")}}, that <code>Node</code> is split at the insertion point, and the insertion occurs between the two text nodes.</p>

<p>If the new node is a document fragment, the children of the document fragment are inserted instead.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>range</em>.insertNode(<em>newNode</em>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><em>newNode</em></dt>
 <dd>The {{domxref("Node")}} to insert at the start of the <code>range</code>.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush: js">range = document.createRange();
newNode = document.createElement("p");
newNode.appendChild(document.createTextNode("New Node Inserted Here"));
range.selectNode(document.getElementsByTagName("div").item(0));
range.insertNode(newNode);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-range-insertnode', 'Range.insertNode()')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 Traversal_Range', 'ranges.html#Level2-Range-method-insertNode', 'Range.insertNode()')}}</td>
   <td>{{Spec2('DOM2 Traversal_Range')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Range.insertNode")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Document_Object_Model">The DOM interfaces index</a></li>
</ul>
